Complete subtitle uploads

POST/media/v1/projects/{projectId}/videos/{videoId}/subtitles/upload/complete

Finalizes previously initiated subtitle uploads.

Authorization<token>

In: header

Path Parameters

projectId*string

Project ID

videoId*string

Video ID

Request Body

required
application/json
{
  "$ref": "#/components/schemas/internal_media.completeTrackUploadBody",
  "$ref-value": {
    "properties": {
      "items": {
        "items": {
          "$ref": "#/components/schemas/internal_media.completeTrackItem",
          "$ref-value": {
            "properties": {
              "id": {
                "type": "string"
              },
              "object_key": {
                "type": "string"
              },
              "size": {
                "type": "integer"
              }
            },
            "required": [
              "id",
              "object_key"
            ],
            "type": "object"
          }
        },
        "minItems": 1,
        "type": "array"
      }
    },
    "required": [
      "items"
    ],
    "type": "object"
  }
}

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/videosv1.UploadAck",
  "$ref-value": {
    "properties": {
      "count": {
        "type": "integer"
      },
      "ok": {
        "type": "boolean"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/media/v1/projects/string/videos/string/subtitles/upload/complete" \
  -H "Content-Type: application/json" \
  -d '{
    "items": [
      {
        "id": "string",
        "object_key": "string"
      }
    ]
  }'

OK

application/json

{
  "$ref": "#/components/schemas/videosv1.UploadAck",
  "$ref-value": {
    "properties": {
      "count": {
        "type": "integer"
      },
      "ok": {
        "type": "boolean"
      }
    },
    "type": "object"
  }
}